Bug 1276432 - [abrt] yelp: init_compose_table_thread_cb(): yelp killed by SIGSEGV
Summary: [abrt] yelp: init_compose_table_thread_cb(): yelp killed by SIGSEGV
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: gtk3
Version: rawhide
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:4a5f1121b7e32acb2a9b6255dfb...
Depends On:
Blocks: F24FinalBlocker
TreeView+ depends on / blocked
 
Reported: 2015-10-29 16:36 UTC by Joachim Frieben
Modified: 2016-02-17 16:17 UTC (History)
14 users (show)

Fixed In Version: yelp-3.19.90-1.fc24
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-02-17 16:17:01 UTC


Attachments (Terms of Use)
File: backtrace (39.79 KB, text/plain)
2015-10-29 16:36 UTC, Joachim Frieben
no flags Details
File: cgroup (215 bytes, text/plain)
2015-10-29 16:36 UTC, Joachim Frieben
no flags Details
File: core_backtrace (13.51 KB, text/plain)
2015-10-29 16:36 UTC, Joachim Frieben
no flags Details
File: dso_list (11.90 KB, text/plain)
2015-10-29 16:36 UTC, Joachim Frieben
no flags Details
File: environ (3.06 KB, text/plain)
2015-10-29 16:36 UTC, Joachim Frieben
no flags Details
File: exploitable (82 bytes, text/plain)
2015-10-29 16:36 UTC, Joachim Frieben
no flags Details
File: limits (1.29 KB, text/plain)
2015-10-29 16:36 UTC, Joachim Frieben
no flags Details
File: maps (59.37 KB, text/plain)
2015-10-29 16:36 UTC, Joachim Frieben
no flags Details
File: mountinfo (3.57 KB, text/plain)
2015-10-29 16:36 UTC, Joachim Frieben
no flags Details
File: open_fds (652 bytes, text/plain)
2015-10-29 16:36 UTC, Joachim Frieben
no flags Details
File: proc_pid_status (1.14 KB, text/plain)
2015-10-29 16:36 UTC, Joachim Frieben
no flags Details
File: var_log_messages (28 bytes, text/plain)
2015-10-29 16:36 UTC, Joachim Frieben
no flags Details
broken yelp on anaconda (153.04 KB, image/png)
2015-11-18 20:20 UTC, Giulio 'juliuxpigface'
no flags Details
Screenshot of Help in a (default) GNOME on Wayland session (3.00 KB, image/png)
2016-02-16 15:22 UTC, Joachim Frieben
no flags Details
Screenshot of Help in a (default) GNOME on Wayland session (728.61 KB, image/png)
2016-02-16 15:29 UTC, Joachim Frieben
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1306837 None None None Never

Internal Links: 1306837

Description Joachim Frieben 2015-10-29 16:36:00 UTC
Description of problem:
I opened the help for totem.

Version-Release number of selected component:
yelp-3.19.1-1.fc24

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        yelp help:totem
crash_function: init_compose_table_thread_cb
executable:     /usr/bin/yelp
global_pid:     2426
kernel:         4.3.0-0.rc7.git2.1.fc24.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 4 (3 frames)
 #0 init_compose_table_thread_cb at gtkimcontextsimple.c:225
 #1 g_task_thread_pool_thread at gtask.c:1287
 #3 g_thread_proxy at gthread.c:778

Comment 1 Joachim Frieben 2015-10-29 16:36:04 UTC
Created attachment 1087616 [details]
File: backtrace

Comment 2 Joachim Frieben 2015-10-29 16:36:06 UTC
Created attachment 1087617 [details]
File: cgroup

Comment 3 Joachim Frieben 2015-10-29 16:36:08 UTC
Created attachment 1087618 [details]
File: core_backtrace

Comment 4 Joachim Frieben 2015-10-29 16:36:09 UTC
Created attachment 1087619 [details]
File: dso_list

Comment 5 Joachim Frieben 2015-10-29 16:36:10 UTC
Created attachment 1087620 [details]
File: environ

Comment 6 Joachim Frieben 2015-10-29 16:36:12 UTC
Created attachment 1087621 [details]
File: exploitable

Comment 7 Joachim Frieben 2015-10-29 16:36:13 UTC
Created attachment 1087622 [details]
File: limits

Comment 8 Joachim Frieben 2015-10-29 16:36:16 UTC
Created attachment 1087623 [details]
File: maps

Comment 9 Joachim Frieben 2015-10-29 16:36:18 UTC
Created attachment 1087624 [details]
File: mountinfo

Comment 10 Joachim Frieben 2015-10-29 16:36:19 UTC
Created attachment 1087625 [details]
File: open_fds

Comment 11 Joachim Frieben 2015-10-29 16:36:20 UTC
Created attachment 1087626 [details]
File: proc_pid_status

Comment 12 Joachim Frieben 2015-10-29 16:36:22 UTC
Created attachment 1087627 [details]
File: var_log_messages

Comment 13 satellitgo 2015-11-12 14:44:37 UTC
Another user experienced a similar problem:

boot new install of boot.iso 1111 rawhide of workstation x86_64 in G-I-S ?

reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        yelp help:gnome-help/getting-started
crash_function: init_compose_table_thread_cb
executable:     /usr/bin/yelp
global_pid:     2358
kernel:         4.4.0-0.rc0.git6.1.fc24.x86_64
package:        yelp-3.19.1-2.fc24
reason:         yelp killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 14 Giulio 'juliuxpigface' 2015-11-18 20:20:01 UTC
Created attachment 1096278 [details]
broken yelp on anaconda

Comment 15 Giulio 'juliuxpigface' 2015-11-18 20:24:11 UTC
I've encountered this while testing the installation of Fedora Rawhide 20151117 compose (Xfce Spin). I've also attached a screenshot.

Component's version:
yelp-3.19.1-2.fc24.x86_64

Steps to reproduce:
1. Boot the installer from Xfce's desktop
2. Click the Help button.

Actual results:
1. The help function doesn't work (see the attached screenshot).
2. abrt-cli catches the issue here reported.

Expected results:
1. The help function should work.

Comment 16 Giulio 'juliuxpigface' 2015-11-18 20:31:03 UTC
This could be a regression of https://bugzilla.redhat.com/show_bug.cgi?id=1276226

Comment 17 Fedora Blocker Bugs Application 2015-11-18 20:31:23 UTC
Proposed as a Blocker for 24-final by Fedora user juliuxpigface using the blocker tracking app because:

 This is a clear violation of the "2.2.14 Installer help" Final criteria.

"Any element in the installer interface(s) which is clearly intended to display 'help' text must do so correctly when activated. "

Link: https://fedoraproject.org/wiki/Fedora_24_Final_Release_Criteria#installer-help

Comment 18 Petr Schindler 2015-11-23 17:46:01 UTC
Discussed at 2015-11-23 blocker review meeting: [1]. 

This bug was accepted as F24 Final blocker: This bug clearly violates the final criterion "Any element in the installer interface(s) which is clearly intended to display 'help' text must do so correctly when activated."

[1] http://meetbot.fedoraproject.org/fedora-blocker-review/2015-11-23/f24-blocker-review.2015-11-23-17.00.html

Comment 19 Adam Williamson 2015-12-04 23:20:26 UTC
This crash occurs on first log in after install, too - I think when the little panel of introductory guidance videos and stuff should appear (I guess it's Yelp-driven).

Comment 20 Michael Catanzaro 2016-01-16 05:43:26 UTC
(In reply to Fedora Blocker Bugs Application from comment #17)
> Proposed as a Blocker for 24-final by Fedora user juliuxpigface using the
> blocker tracking app because:
> 
>  This is a clear violation of the "2.2.14 Installer help" Final criteria.
> 
> "Any element in the installer interface(s) which is clearly intended to
> display 'help' text must do so correctly when activated. "
> 
> Link:
> https://fedoraproject.org/wiki/Fedora_24_Final_Release_Criteria#installer-
> help

Note that even if this bug is fixed, the user help in Anaconda will still not work due to unrelated https://bugzilla.gnome.org/show_bug.cgi?id=753443 (which has an unreviewed patch).

Comment 21 Matthias Clasen 2016-01-18 19:03:11 UTC
Pushed a likely fix for this here: https://git.gnome.org/browse/gtk+/commit/?id=b3b048906c7378f104b8be4f4889a8e15025fcd1

Comment 22 Joachim Frieben 2016-02-16 15:22:31 UTC
Created attachment 1127616 [details]
Screenshot of Help in a (default) GNOME on Wayland session

This still happens for current Fedora development in a GNOME on Xorg session (launch "Files" and then "Help" from the context menu) whereas no crash occurs in a (default) GNOME on Wayland session. In the latter case however, the window is not rendered correctly, see attachment, thus unusable.

Comment 23 Joachim Frieben 2016-02-16 15:29:57 UTC
Created attachment 1127618 [details]
Screenshot of Help in a (default) GNOME on Wayland session

Comment 24 Adam Williamson 2016-02-16 15:44:16 UTC
Note, we already got a new bug filed too:

https://bugzilla.redhat.com/show_bug.cgi?id=1306837

Comment 25 Michael Catanzaro 2016-02-16 17:43:35 UTC
(In reply to Joachim Frieben from comment #23)
> Created attachment 1127618 [details]
> Screenshot of Help in a (default) GNOME on Wayland session

This looks like probably a new issue to me worth reporting in a new bug. (Yeah, a third Yelp blocker....)

(In reply to Joachim Frieben from comment #22)
> This still happens for current Fedora development in a GNOME on Xorg session
> (launch "Files" and then "Help" from the context menu)

It's this same crash, in gtkimcontextsimple.c?

Comment 26 Joachim Frieben 2016-02-16 18:38:25 UTC
(In reply to Michael Catanzaro from comment #25)
> It's this same crash, in gtkimcontextsimple.c?

The "Problem Reporting" tool returned me (again) to this very bug report; therefore, I suppose it to be the same issue.


Note You need to log in before you can comment on or make changes to this bug.